<?php
/**
 * paydesign_cc_preprocess header_php.php
 *
 * @package page
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: $
 */
  chdir('../');
  $_GET['main_page'] = 'checkout_process';
  require('includes/application_top.php');
  $language_page_directory = DIR_WS_LANGUAGES . $_SESSION['language'] . '/';

  global $queryCache;
  unset($queryCache);

  header("Content-type: text/plane");

  // パラメータの確認
  if (!isset($_REQUEST['SID'])     ||
      !isset($_REQUEST['FUKA'])    ||
      !isset($_REQUEST['SEQ'])     ||
      !isset($_REQUEST['DATE'])    ||
      !isset($_REQUEST['TIME'])    ||
      !isset($_REQUEST['KINGAKU']) ||
      !isset($_REQUEST['CVS'])) {
      print "0";
      exit;
  }

  $sid       = $_REQUEST['SID'];
  $fuka      = $_REQUEST['FUKA'];
  $seq       = $_REQUEST['SEQ'];
  $date      = $_REQUEST['DATE'];
  $time      = $_REQUEST['TIME'];
  $kingaku   = $_REQUEST['KINGAKU'];
  $cvs       = $_REQUEST['CVS'];
  $cc_userid = $_REQUEST['IP_USER_ID'];
  $scode     = $_REQUEST['SCODE'];
  $datetime = substr($date, 0, 4)."-"
            . substr($date, 4, 2)."-"
            . substr($date, 6, 2)." "
            . substr($time, 0, 2).":"
            . substr($time, 2, 2).":"
            . substr($time, 4, 2);
  $param = Array(
    'SID'        => $sid,
    'FUKA'       => $fuka,
    'SEQ'        => $seq,
    'DATE'       => $date,
    'TIME'       => $time,
    'KINGAKU'    => $kingaku,
    'CVS'        => $cvs,
    'IP_USER_ID' => $cc_userid,
    'SCODE'      => $scode,
  );

  // 存在チェック
  if (!paydesign_is_exist($sid, $fuka, 'cc')) {
      print "0";
      exit;
  }

  // 処理済確認
  if (paydesign_get_status($sid, $fuka, 'cc') == 'success') {
    print "0";
    exit;
  }

  // セッション
  $session  = paydesign_get_session($sid, $fuka, 'cc');
  $_SESSION = unserialize($session);

  // 要求レコードを更新する
  paydesign_save_response_parm($sid, 'success', serialize($param), $seq, $datetime);

  // 注文作成
  require(DIR_WS_MODULES . zen_get_module_directory('checkout_process.php'));

  $payment_modules->after_process();

  print "0";
  exit;
?>
