<?php
 /*
  * Copyright (C) 2006 paydesign_cc INC.
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with Shigeo; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * $Id$
  */
//
  require_once(DIR_FS_CATALOG . 'includes/extra_datafiles/paydesign_names.php');
  // 管理画面に対し変更をかける
  if (strpos($_SERVER['PHP_SELF'], '/orders.php') !== false &&
      strpos($_SERVER['QUERY_STRING'], 'action=edit') !== false) {
    $orders_status = $db->Execute("select orders_status from " . TABLE_ORDERS . " where orders_id = '" . (int)$_GET['oID'] . "'");
    if (!$orders_status->EOF) {
?>
<script type="text/javascript"><!--
  window.onload = function () {
<?php
    if ($orders_status->fields['orders_status'] == MODULE_PAYMENT_PAYDESIGN_CC_CANCEL_STATUS_ID) {
?>
      // status無効
      for(i=0; i<document.forms.status.elements.status.options.length; i++) {
        if (document.forms.status.elements.status.options[i].value!='<?php echo MODULE_PAYMENT_PAYDESIGN_CC_CANCEL_STATUS_ID; ?>')
          document.forms.status.elements.status.options[i].disabled=true;
      }
<?php
    }
?>
    // input検索
    var input    = null;
    var elements = document.getElementsByTagName("input");
    for(i=0; i<elements.length; i++) {
      for(j=0; j<elements[i].attributes.length; j++) {
        if (elements[i].attributes[j].name  == "type" &&
            elements[i].attributes[j].value == "image") {
          input = elements[i];
          break;
        }
      }
      if (input)
        break;
    }
    if (input) {
      input.onclick = function() {
        // 取消以外はご自由に
        if (document.forms.status.elements.status.value != "<?php echo MODULE_PAYMENT_PAYDESIGN_CC_CANCEL_STATUS_ID; ?>")
          return true;
<?php
        if ($orders_status->fields['orders_status'] != MODULE_PAYMENT_PAYDESIGN_CC_CANCEL_STATUS_ID) {
?>
          if (!window.confirm("取消してもよろしいですか？"))
            return false;
<?php
        }
?>
        return true;
      }
    }
  }
  // -->
</script>
<?php
    }
  }

  if (defined('PAYDESIGN_CC_DEFINED'))
    return;

  define('PAYDESIGN_CC_DEFINED', 'true');

  if (class_exists('paydesign_cc'))
    return;

  class paydesign_cc {
    var $code, $title, $description, $enabled;

// class constructor
    function paydesign_cc() {
      global $order;

      $this->code        = 'paydesign_cc';
      $this->title       = MODULE_PAYMENT_PAYDESIGN_CC_TEXT_TITLE;
      $this->description = MODULE_PAYMENT_PAYDESIGN_CC_TEXT_DESCRIPTION;
      $this->sort_order  = MODULE_PAYMENT_PAYDESIGN_CC_SORT_ORDER;
      $this->enabled     = ((MODULE_PAYMENT_PAYDESIGN_CC_STATUS == 'True') ? true : false);

      if ((int)MODULE_PAYMENT_PAYDESIGN_CC_ORDER_STATUS_ID > 0) {
        $this->order_status = MODULE_PAYMENT_PAYDESIGN_CC_ORDER_STATUS_ID;
      }

      if (is_object($order)) $this->update_status();

      $this->form_action_url = zen_href_link(FILENAME_PAYDESIGN_CC_PREPROCESS);
    }

// class methods
    function update_status() {
      global $order, $db;

      if ( ($this->enabled == true) && ((int)MODULE_PAYMENT_PAYDESIGN_CC_ZONE > 0) ) {
        $check_flag = false;
        $check = $db->Execute("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_PAYMENT_PAYDESIGN_CC_ZONE . "' and zone_country_id = '" . $order->billing['country']['id'] . "' order by zone_id");
        while (!$check->EOF) {
          if ($check->fields['zone_id'] < 1) {
            $check_flag = true;
            break;
          } elseif ($check->fields['zone_id'] == $order->billing['zone_id']) {
            $check_flag = true;
            break;
          }
          $check->MoveNext();
        }

        if ($check_flag == false) {
          $this->enabled = false;
        }
      }
    }

    function javascript_validation() {
	  return false;
	}

    function selection() {
      $fields   = array();
      // ユーザーID登録機能
      if (MODULE_PAYMENT_PAYDESIGN_CC_REGIST_INFO == "True") {
        $checked = "checked";
        // ユーザーID登録確認
        $cc_userid = paydesign_get_cc_user_id($_SESSION['customer_id']);
        $cc_scode  = substr(paydesign_get_cc_scode($_SESSION['customer_id']), 0, 4);
        if ($cc_userid != "") {
          $checked  = "";
          $fields[] = array('title' => '登録されたクレジットカード番号',
                            'field' => '<input type="radio" name="cc_user_regist" value="2" checked>使用する<br>（**** **** **** '.$cc_scode.'）');
          $fields[] = array('title' => '&nbsp;',
                            'field' => '<button type="submit" name="cc_action" value="cc_user_erase" onclick="return check_user_id_erase();">カード情報を消去する</button>');
          $fields[] = array('title' => '',
                            'field' => '
<script language="javascript" type="text/javascript"><!--
  function check_user_id_erase() {
    if (!window.confirm("カード情報を消去しますか？"))
      return false;

    element = document.getElementsByName("payment");
    for (i=0;i<element.length;i++){
      if (element[i].value=="paydesign_cc") {
        element[i].checked = true;
        break;
      }
    }
    return true;
  }
//--></script>');
        }

        $fields[] = array('title' => '入力したクレジットカード番号',
                          'field' => '<input type="radio" name="cc_user_regist" value="1">登録する<br>（次回以降入力不要）');
        $fields[] = array('title' => '&nbsp;',
                          'field' => '<input type="radio" name="cc_user_regist" value="0" '.$checked.'>登録しない<br>（毎回入力が必要）');
      }

      return array('id'     => $this->code,
                   'module' => $this->title,
                   'fields' => $fields);
    }

    function pre_confirmation_check() {
      return true;
    }

    function confirmation() {
      return true;
    }

    function process_button() {
      return "";
    }

    function before_process() {
      global $messageStack;

      // パラメータの確認
      if (!isset($_REQUEST['SID'])  ||
          !isset($_REQUEST['FUKA'])) {
        zen_redirect(zen_href_link(FILENAME_DEFAULT));
        return false;
      }

      // 存在チェック
      $sid  = $_REQUEST['SID'];
      $fuka = $_REQUEST['FUKA'];
      if (!paydesign_is_exist($sid, $fuka)) {
        zen_redirect(zen_href_link(FILENAME_DEFAULT));
        return false;
      }

      // 状態チェック
      if (paydesign_get_status($sid, $fuka, 'cc') != 'success') {
        $messageStack->add_session('checkout_payment', MODULE_PAYMENT_PAYDESIGN_CC_TEXT_NOT_SUCCESS, 'error');
        zen_redirect(zen_href_link(FILENAME_CHECKOUT_PAYMENT));
        return false;
      }

      return false;
    }
	
    function after_process() {
      // 注文IDを保存する
      $sid  = $_REQUEST['SID'];
      $fuka = $_REQUEST['FUKA'];
      paydesign_save_orders_id($sid, $_SESSION['order_number_created']);

      // 注文ステータス更新
      // ccの場合はfinish後に、こちらの処理に飛んでくるので
      // 保存しておいたシリアライズデータを利用する
      $response = paydesign_get_response($sid, $fuka, "cc");
      if ($response) {
        $response  = unserialize($response);
        // ユーザーID決済
        if ($response['SEQ'] == "") {
          $comments  = "ユーザーID決済\n"
                     . "SID:".       $response['SID']."\n"
                     . "入金日:".    $response['DATE'];
        }
        else {
          $comments  = "決済済み:".  $response['CVS']."\n"
                     . "SID:".       $response['SID']."\n"
                     . "通知番号:".  $response['SEQ']."\n"
                     . "入金日:".    $response['DATE']."\n"
                     . "カード番号下4桁:".substr($response['SCODE'],0,4)."\n"
                     . "カード有効期限:". substr($response['SCODE'],4,4)."\n"
                     . "ユーザーID:".$response['IP_USER_ID'];
        }
        if (MODULE_PAYMENT_PAYDESIGN_CC_IS_AUTHORIZE_ONLY == 'True')
          $comments .= "\n与信のみ";
        $status_id = MODULE_PAYMENT_PAYDESIGN_CC_PAYMENT_STATUS_ID;
        // 入金したときにデフォルトで処理中
        if ($status_id == 0)
          $status_id = DEFAULT_ORDERS_STATUS_ID;
        paydesign_save_status($sid, $status_id, $comments, -1);
        if ($response['IP_USER_ID'] != "" && $_SESSION['cc_user_regist'] == "1") {
          paydesign_save_cc_user_id($_SESSION['customer_id'], $response['IP_USER_ID']);
          paydesign_save_cc_scode  ($_SESSION['customer_id'], $response['SCODE']);
        }
      }

      return false;
    }

    function get_error() {
      return false;
    }

    function check() {
      global $db;
      if (!isset($this->_check)) {
        $check_query = $db->Execute("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_PAYDESIGN_CC_STATUS'");
        $this->_check = $check_query->RecordCount();
      }
      return $this->_check;
    }

    function install() {
      global $db;

      // table作成(削除はしない)
      $db->Execute("create table  if not exists " . TABLE_PAYDESIGN_TRANSACTIONS . " (sids int(11) NOT NULL auto_increment, fuka varchar(32) default '', customers_id int(11) default 0, orders_id int(11) default 0, type varchar(16) default '', status varchar(16) default '', request text default NULL, response text default NULL, created_at datetime default '0001-01-01 00:00:00', finish_payment_id varchar(16) default '', finish_payment_at datetime default '0001-01-01 00:00:00', session_value text default NULL, authorize_only int default 0, PRIMARY KEY (sids))");

      // ユーザーIDカラム追加機能
      $result = $db->Execute("show columns from ".TABLE_CUSTOMERS." like 'customers_paydesign_cc_userid'");
      if ($result->EOF) {
        $db->Execute("alter table ".TABLE_CUSTOMERS." add column customers_paydesign_cc_userid varchar(16) default ''");
      }
      $result = $db->Execute("show columns from ".TABLE_CUSTOMERS." like 'customers_paydesign_cc_scode'");
      if ($result->EOF) {
        $db->Execute("alter table ".TABLE_CUSTOMERS." add column customers_paydesign_cc_scode varchar(16) default ''");
      }

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added)                 values ('ペイデザイン クレジットカード決済', 'MODULE_PAYMENT_PAYDESIGN_CC_STATUS', 'True', 'ペイデザイン クレジットカード決済を有効にしますか？', '6', '0', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)                               values ('表示の整列順', 'MODULE_PAYMENT_PAYDESIGN_CC_SORT_ORDER', '0', '表示の整列順を設定できます. 数字が小さいほど上位に表示されます。', '6', '0' , now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added)   values ('適用地域', 'MODULE_PAYMENT_PAYDESIGN_CC_ZONE', '0', '適用地域を選択すると、選択した地域のみで利用可能となります。', '6', '2', 'zen_get_zone_class_title', 'zen_cfg_pull_down_zone_classes(', now())");

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added)   values ('初期注文ステータス',       'MODULE_PAYMENT_PAYDESIGN_CC_ORDER_STATUS_ID',   '1', '設定したステータスが受注時に適用されます。',                   '6', '0', 'zen_cfg_pull_down_order_statuses(', 'zen_get_order_status_name', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added)   values ('入金時ステータス',         'MODULE_PAYMENT_PAYDESIGN_CC_PAYMENT_STATUS_ID', '2', '設定したステータスが入金時に適用されます。',                   '6', '0', 'zen_cfg_pull_down_order_statuses(', 'zen_get_order_status_name', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added)   values ('配送完了ステータス',       'MODULE_PAYMENT_PAYDESIGN_CC_SENDED_STATUS_ID',  '3', '設定したステータスが適用された際に完了報告処理を行います。',   '6', '0', 'zen_cfg_pull_down_order_statuses(', 'zen_get_order_status_name', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added)   values ('キャンセル注文ステータス', 'MODULE_PAYMENT_PAYDESIGN_CC_CANCEL_STATUS_ID',  '5', '設定したステータスが適用された際にキャンセル処理を行います。', '6', '0', 'zen_cfg_pull_down_order_statuses(', 'zen_get_order_status_name', now())");

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)                               values ('IPコード',                 'MODULE_PAYMENT_PAYDESIGN_CC_IP',                '',      '申し込み時に入手したIPコードを指定します。',                                '6', '0', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)                               values ('IPパスワード',             'MODULE_PAYMENT_PAYDESIGN_CC_PASSWORD',          '',      '申し込み時に入手したIPパスワードを指定します。',                        '6', '0', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)                               values ('決済要求接続先URL',        'MODULE_PAYMENT_PAYDESIGN_CC_SETTLE_URL',        '',      '申し込み時に入手した決済要求接続先URLを指定します。',                       '6', '0', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)                               values ('ユーザーID決済接続先URL',  'MODULE_PAYMENT_PAYDESIGN_CC_SETTLEEX_URL',      '',      '申し込み時に入手したユーザーID決済要求接続先URLを指定します。',             '6', '0', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)                               values ('決済確定接続先URL',        'MODULE_PAYMENT_PAYDESIGN_CC_CONFIRM_URL',       '',      '申し込み時に入手した決済確定接続先URLを指定します。',                       '6', '0', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)                               values ('決済取消要求接続先URL',    'MODULE_PAYMENT_PAYDESIGN_CC_CAN_AUTH_URL',      '',      '申し込み時に入手した決済取消要求（与信取消）接続先URLを指定します。',       '6', '0', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)                               values ('決済返品要求接続先URL',    'MODULE_PAYMENT_PAYDESIGN_CC_CAN_RCPT_URL',      '',      '申し込み時に入手した決済返品要求（売上キャンセル）接続先URLを指定します。', '6', '0', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added)                 values ('カード番号を登録',         'MODULE_PAYMENT_PAYDESIGN_CC_REGIST_INFO',       'False', '支払方法画面で「ユーザーID決済」ができるようにしますか？', '6', '0', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added)                 values ('与信のみ/売り上げ計上',    'MODULE_PAYMENT_PAYDESIGN_CC_IS_AUTHORIZE_ONLY', 'False', '売り上げを計上せずに与信のみとする場合は「True」を設定します。売り上げまでを計上する場合は「False」を設定します。', '6', '0', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now())");
//      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added)               values ('取り消し処理', 'MODULE_PAYMENT_PAYDESIGN_CC_CANCEL_AVAILABLE', 'True', 'キャンセルステータス適用時にペイデザインに取り消し要求を送信するかどうかを設定します。', '6', '0', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now())");
    }

    function remove() {
      global $db;
      $db->Execute("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_PAYMENT_PAYDESIGN_CC_STATUS', 
                   'MODULE_PAYMENT_PAYDESIGN_CC_ZONE',
                   'MODULE_PAYMENT_PAYDESIGN_CC_ORDER_STATUS_ID',
                   'MODULE_PAYMENT_PAYDESIGN_CC_PAYMENT_STATUS_ID',
                   'MODULE_PAYMENT_PAYDESIGN_CC_SENDED_STATUS_ID',
                   'MODULE_PAYMENT_PAYDESIGN_CC_CANCEL_STATUS_ID',
                   'MODULE_PAYMENT_PAYDESIGN_CC_SORT_ORDER',
                   'MODULE_PAYMENT_PAYDESIGN_CC_IP',
                   'MODULE_PAYMENT_PAYDESIGN_CC_PASSWORD',
                   'MODULE_PAYMENT_PAYDESIGN_CC_SETTLE_URL',
                   'MODULE_PAYMENT_PAYDESIGN_CC_SETTLEEX_URL',
                   'MODULE_PAYMENT_PAYDESIGN_CC_CONFIRM_URL',
                   'MODULE_PAYMENT_PAYDESIGN_CC_CAN_AUTH_URL',
                   'MODULE_PAYMENT_PAYDESIGN_CC_CAN_RCPT_URL',
                   'MODULE_PAYMENT_PAYDESIGN_CC_REGIST_INFO',
                   'MODULE_PAYMENT_PAYDESIGN_CC_IS_AUTHORIZE_ONLY');
    }
  }
